summaryrefslogtreecommitdiffstats
path: root/audio/distrho-ports/distrho-ports.SlackBuild
diff options
context:
space:
mode:
author Klaatu <klaatu@member.fsf.org>2015-07-04 10:19:29 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-07-04 10:38:22 +0700
commitc74050d6041f3ffe61680e02d27d73371465002a (patch)
tree81e1847e374b98a888ba85bc7f87ef028e8a1425 /audio/distrho-ports/distrho-ports.SlackBuild
parent8d05196bf0f9339218ed901308b1c022f8fba8a8 (diff)
downloadslackbuilds-c74050d6041f3ffe61680e02d27d73371465002a.tar.gz
slackbuilds-c74050d6041f3ffe61680e02d27d73371465002a.tar.xz
audio/distrho-ports: Added (LV2 and VST audio plugins).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'audio/distrho-ports/distrho-ports.SlackBuild')
-rw-r--r--audio/distrho-ports/distrho-ports.SlackBuild83
1 files changed, 83 insertions, 0 deletions
diff --git a/audio/distrho-ports/distrho-ports.SlackBuild b/audio/distrho-ports/distrho-ports.SlackBuild
new file mode 100644
index 0000000000..eda3cc034a
--- /dev/null
+++ b/audio/distrho-ports/distrho-ports.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+# Slackware build script for Distrho set of plugins
+# Copyright 2015 by Klaatu, Wellington NZ
+#
+# GNU All-Permissive License
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved. This file is offered as-is,
+# without any warranty.
+
+PRGNAM=distrho-ports
+VERSION=${VERSION:-20140826}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i?86" ]; then
+ LIBDIRSUFFIX=""
+ LIBDIRMARK="32"
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+ LIBDIRMARK="64"
+else
+ echo "ARCH not supported."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+for i in $CWD/*-linux"$LIBDIRMARK"bit.tar.xz; do
+ tar xvf "$i" -C $PRGNAM-$VERSION
+done
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+for i in ./*-linux${LIBDIRMARK}bit; do
+#lv2
+ if [ X"$LV2" != "X" ]; then
+ echo "Skipping $i LV2"
+ else
+ mkdir -p "$PKG/usr/lib${LIBDIRSUFFIX}/lv2"
+ cp -rf $i/*lv2 "$PKG/usr/lib${LIBDIRSUFFIX}/lv2"
+ fi
+#vst
+ if [ X"$VST" != "X" ]; then
+ echo "Skipping $i VST"
+ else
+ mkdir -p "$PKG/usr/lib${LIBDIRSUFFIX}/vst"
+ cp -rf $i/*so "$PKG/usr/lib${LIBDIRSUFFIX}/vst"
+ fi
+done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a "$i"/README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}